;   tiny2313:    
;UART          
; 3,69 , UBRR=11   19200 .    "ntrl+O" ( 0F)
;   LED. 
;:   PB-LED, PD0-RxD  PD1-TxD (RS-232 SPARE)

;******************** 

	.include	"tn2313def.inc"			;  Attiny2313
	.def temp	=	R16					;   
	.org $000 
	
;******************* 
 
			ldi 	temp,	low(RAMEND)	;  
			out 	SPL,	temp 		;      
			
;********************************************************
;*         UART                   * 
;*          19200                          *
;********************************************************
			ldi 	temp,	0x10		;   
			out 	UCSRB,	temp 		;   UART 
	
			ldi 	temp,	11			;  / 
			out 	UBRRL,	temp 		; 19200  


			
;*******************************************************
;*          B:                           *
;*******************************************************		
			ser 	temp			 	; R16 <-- FF
    		out 	DDRB,	temp 		;    -  
			out 	PORTB,	temp		;   
			

;******************** 

WAIT_RXC: 	sbic 	UCSRA,	RXC 		;   .
			rjmp 	INPUT 				;      UCSRA  
			rjmp 	WAIT_RXC 			;  RXC       ( INPUT)

			clr		temp
INPUT:		in 		temp,	UDR 		;    .      UDR  !!
			sbi		UCSRA,	RXC 		;   UART Ressieve Complete

;********************************************************		
;*			     			*
;*			  (0F)						*
;********************************************************

			cpi		temp,	0x02		;  
			breq	SBROS				;   = 02 (  "Cntrl"+"B")?
											;  ,    SBROS (  LED`)
			com 	temp 				;  -  
										;      LED`s, .. 
											; LED  "0"
			out 	PORTB,	temp 		;    
			sbi		PORTB, 	7			;   

			ser 	temp 				;   (  temp--> "0")
			rjmp 	WAIT_RXC	 		;  
			 
;********************************************************
;*            LED`s						*
;********************************************************																
SBROS:		ser		temp			 	; R16 <-- FF
   			out 	PORTB,	temp		;   
			rjmp	WAIT_RXC

			
			
			
